<?php

/**
 * @brief Classe DAO relative à la table catégorie de la base de données
 */
class cat_dao extends dao {

    public function delete($id) {
        //On ne fait rien
    }

    public function insert(&$objet) {
        //On ne fait rien
    }

    public function select($id) {
        //On ne fait rien
    }

    public function update(&$objet) {
        //On ne fait rien
    }

    public function getAllCat() {
        //Mise en place de la requête
        $query = "SELECT nom FROM categorie ORDER BY nom ASC";

        //On envoie la requête
        $result = $this->db->query($query)->fetchAll();

        //On renvoie les données
        return $result;
    }

}

?>
